[[_TOC_]]

# Comment modifier ce fichier .md (markdown)

Comme tu seras la seule à le modifier, il te suffit :

**1. Ouvrir avec le bouton "Web Ide"** ![Modification](Images/Modification.PNG)

**2. Uploader tes images**   ![Upload](Images/Upload.PNG)

**3. Créer le lien dans le fichier** (en t'inspirant de ce que j'ai créé par exemple)

**4. Commenter tes modifications apportées** : ![Commit](Images/Commit.PNG)

**5. Pusher sur la branche "main"**  ![Push](Images/Push.PNG)

**6. Fermer la fenêtre "Webide"**

**7. Actualiser ton navigateur** 

# Guide-bonnes-pratiques-gilab-issue

## Prise en main rapide

### Comment changer la langue

Pour **changer la langue**, il faut :
>- cliquer sur l'icône profil en haut à droite
>- sélectioner "Préférences" (ou "Preferences" si l'application est en anglais)
>![profil](Images/accesProfil.png)
>- dans la partie "Localisation" (ou "Localization"), modifier le champ "Langue" (ou "Language")
>- sauvegarder avec le bouton "Save changes"
>![langue](Images/changerLangue.png)

La suite de ce document se base sur la version française de GitLab.


### Comment changer les paramètres de notifications

Pour **changer les paarmètres de notifications**, il faut :
>- cliquer sur l'icône profil en haut à droite
>- sélectioner "Modifier le profil"
>![profil](Images/accesProfil.png)
>- dans le menu de gauche, cliquer sur "Notifications"
Vous pouvez ensuite :
>- modifier le niveau de notification global
>![notificationGlobale](Images/notificationGlobale.png)
>- modifier le niveau de notification pour un groupe en particulier
>![notificationDeGroupe](Images/notificationGroupe.png)


### Comment afficher les tickets

Pour l'**affichage classique des tickets**, il faut : 
>- dans le menu de gauche, passer la souris sur "Tickets"
>- dans le sous menu qui s'affiche, cliquer sur "Liste"
![afficherTickets](Images/afficherTickets.png)
![affichageTickets](Images/affichageTickets.png)
La page affiche par défaut uniquement les tickets ouverts, il est possible d'accéder aux tickets fermés ou à tous les tickets via le menu en haut de la liste.
![ouvertFermé](Images/ouvertFerme.png)

### Recherche de tickets

En haut de la liste des tickets il y a un champ de recherche.
Il est possible de **faire une recherche par l'id du ticket**. Dans ce cas, il ne faut pas oublier le "#" devant le numéro d'id.
![rechercheParId](Images/rechercheID.png)

Il est aussi possible de faire une recherche par d'autres critères, par étiquette par exemple. 
Pour **faire une recherche par étiquette** il faut : 
>- cliquer dans le champ de recherche
>- dans le sous-menu, cliquer sur "label"
>![rechercheLabel](Images/rechercheLabel1.png)
>- dans le sous-menu, cliquer sur l'opérateur logique de votre choix ("is" dans notre cas)
>![rechercheLabelOpérateur](Images/rechercheLabel2.png)
>- dans le sous-menu, séléctionner l'étiquette de votre choix
>![rechercheLabelEtiquette](Images/rechercheLabel3.png)
![resultatRechercheLabel](Images/resultatRechercheLabel.png)

### Utilisation des tableaux

Les tableaux sont un type d'affichage des tickets. On peut y accéder dans le menu de gauche > Tickets > Tableaux.
Dans le tableau par défaut, les tickets sont rangés dans deux listes : les tickets ouverts et les tickets fermés.
![tableaux](Images/tableaux.png)

Il est possible de créer de nouveaux tableaux avec d'autres types de listes, comme un tableau avec les différents niveaux de priorités par exemple.
![tableauPersonnalisé](Images/tableauCustom.png)

Pour **créer un nouveau tableau personnalisé**, il faut :
>- dans le menu déroulant "Switch board" à côté de la barre de recherche, cliquer sur "Create new board"
>![menuSwitchBoard](Images/changerDeTableau.png)
>- dans le pop-up "Create new board", saisir un titre et décocher les options "Show the Open list" et "Show the Closed list"
>- cliquer sur "Create board"
>![creerTableau](Images/creerTableau.png)

Pour **ajouter une liste dans un tableau**, il faut :
>- cliquer sur le bouton "Create list" à droite de la barre de recherche
>![creerListe](Images/creerListe.png)
>- dans l'encadré "New list", sélectionner un label dans le menu déroullant "Select label"
>![selectionLabelListe](Images/editListe.png)

Il est possible d'ordonner les tableaux avec un cliquer-glisser.
![deplacerTableau](Images/glisserTableau.png)

Il est également possible de changer un ticket de liste avec un cliquer-glisser. Le statut ou l'étiquette du ticket sont automatiquement modifiés pour correspondre à la liste dans laquelle il a été glissé.
![changerDeListe](Images/changeLabelTableau.png)

## Titre de niveau  2

- [ ] [exemple Mise en forme](https://commonmark.org/help/)
Tu trouveras l'explication pour insérer une image par exemple, mettre en gras, italique;;etc..


###  Titre de niveau 3 

- [ ] [Create](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
cd existing_repo
git remote add origin https://gitlab-forge.din.developpement-durable.gouv.fr/snum/dam/migration-mantis/migrations-a-blanc/guide-bonnes-pratiques-gilab-issue.git
git branch -M main
git push -uf origin main
```

## Integrate with your tools

- [ ] [Set up project integrations](https://gitlab-forge.din.developpement-durable.gouv.fr/snum/dam/migration-mantis/migrations-a-blanc/guide-bonnes-pratiques-gilab-issue/-/settings/integrations)

## Collaborate with your team

- [ ] [Invite team members and collaborators](https://docs.gitlab.com/ee/user/project/members/)
- [ ] [Create a new merge request](https://docs.gitlab.com/ee/user/project/merge_requests/creating_merge_requests.html)
- [ ] [Automatically close issues from merge requests](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#closing-issues-automatically)
- [ ] [Enable merge request approvals](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/)
- [ ] [Automatically merge when pipeline succeeds](https://docs.gitlab.com/ee/user/project/merge_requests/merge_when_pipeline_succeeds.html)

## Test and Deploy

Use the built-in continuous integration in GitLab.

- [ ] [Get started with GitLab CI/CD](https://docs.gitlab.com/ee/ci/quick_start/index.html)
- [ ] [Analyze your code for known vulnerabilities with Static Application Security Testing(SAST)](https://docs.gitlab.com/ee/user/application_security/sast/)
- [ ] [Deploy to Kubernetes, Amazon EC2, or Amazon ECS using Auto Deploy](https://docs.gitlab.com/ee/topics/autodevops/requirements.html)
- [ ] [Use pull-based deployments for improved Kubernetes management](https://docs.gitlab.com/ee/user/clusters/agent/)
- [ ] [Set up protected environments](https://docs.gitlab.com/ee/ci/environments/protected_environments.html)

***

# Editing this README

When you're ready to make this README your own, just edit this file and use the handy template below (or feel free to structure it however you want - this is just a starting point!). Thank you to [makeareadme.com](https://www.makeareadme.com/) for this template.

## Suggestions for a good README
Every project is different, so consider which of these sections apply to yours. The sections used in the template are suggestions for most open source projects. Also keep in mind that while a README can be too long and detailed, too long is better than too short. If you think your README is too long, consider utilizing another form of documentation rather than cutting out information.

## Name
Choose a self-explaining name for your project.

## Description
Let people know what your project can do specifically. Provide context and add a link to any reference visitors might be unfamiliar with. A list of Features or a Background subsection can also be added here. If there are alternatives to your project, this is a good place to list differentiating factors.

## Badges
On some READMEs, you may see small images that convey metadata, such as whether or not all the tests are passing for the project. You can use Shields to add some to your README. Many services also have instructions for adding a badge.

## Visuals
Depending on what you are making, it can be a good idea to include screenshots or even a video (you'll frequently see GIFs rather than actual videos). Tools like ttygif can help, but check out Asciinema for a more sophisticated method.

## Installation
Within a particular ecosystem, there may be a common way of installing things, such as using Yarn, NuGet, or Homebrew. However, consider the possibility that whoever is reading your README is a novice and would like more guidance. Listing specific steps helps remove ambiguity and gets people to using your project as quickly as possible. If it only runs in a specific context like a particular programming language version or operating system or has dependencies that have to be installed manually, also add a Requirements subsection.

## Usage
Use examples liberally, and show the expected output if you can. It's helpful to have inline the smallest example of usage that you can demonstrate, while providing links to more sophisticated examples if they are too long to reasonably include in the README.

## Support
Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.

## Roadmap
If you have ideas for releases in the future, it is a good idea to list them in the README.

## Contributing
State if you are open to contributions and what your requirements are for accepting them.

For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.

You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.

## Authors and acknowledgment
Show your appreciation to those who have contributed to the project.

## License
For open source projects, say how it is licensed.

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.
